Package org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder

- All Implemented Interfaces:
    `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Cloneable`, `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode

      public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>
      implements JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addAllExclusiveGroup​(Iterable<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstance> values)` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addAllIterationLevels​(Iterable<? extends JBPMMessages.IterationLevel> values)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addAllNodeInstance​(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstance> values)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addAllTimerInstanceId​(Iterable<? extends Long> values)` | `repeated int64 timer_instance_id = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addAllVariable​(Iterable<? extends JBPMMessages.Variable> values)` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addExclusiveGroup​(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addExclusiveGroup​(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addExclusiveGroup​(JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addExclusiveGroup​(JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `addExclusiveGroupBuilder()` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `addExclusiveGroupBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addIterationLevels​(int index, JBPMMessages.IterationLevel value)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addIterationLevels​(int index, JBPMMessages.IterationLevel.Builder builderForValue)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addIterationLevels​(JBPMMessages.IterationLevel value)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addIterationLevels​(JBPMMessages.IterationLevel.Builder builderForValue)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `JBPMMessages.IterationLevel.Builder` | `addIterationLevelsBuilder()` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `JBPMMessages.IterationLevel.Builder` | `addIterationLevelsBuilder​(int index)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addNodeInstance​(int index, JBPMMessages.ProcessInstance.NodeInstance value)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addNodeInstance​(int index, JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addNodeInstance​(JBPMMessages.ProcessInstance.NodeInstance value)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addNodeInstance​(JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `addNodeInstanceBuilder()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `addNodeInstanceBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addTimerInstanceId​(long value)` | `repeated int64 timer_instance_id = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addVariable​(int index, JBPMMessages.Variable value)` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addVariable​(int index, JBPMMessages.Variable.Builder builderForValue)` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addVariable​(JBPMMessages.Variable value)` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addVariable​(JBPMMessages.Variable.Builder builderForValue)` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `JBPMMessages.Variable.Builder` | `addVariableBuilder()` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `JBPMMessages.Variable.Builder` | `addVariableBuilder​(int index)` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `build()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `buildPartial()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `clear()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `clearExclusiveGroup()` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `clearIterationLevels()` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `clearNodeInstance()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `clearTimerInstanceId()` | `repeated int64 timer_instance_id = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `clearVariable()` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `clone()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getExclusiveGroup​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `getExclusiveGroupBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder>` | `getExclusiveGroupBuilderList()` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `int` | `getExclusiveGroupCount()` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance>` | `getExclusiveGroupList()` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder` | `getExclusiveGroupOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder>` | `getExclusiveGroupOrBuilderList()` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `JBPMMessages.IterationLevel` | `getIterationLevels​(int index)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `JBPMMessages.IterationLevel.Builder` | `getIterationLevelsBuilder​(int index)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `List<JBPMMessages.IterationLevel.Builder>` | `getIterationLevelsBuilderList()` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `int` | `getIterationLevelsCount()` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `List<JBPMMessages.IterationLevel>` | `getIterationLevelsList()` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `JBPMMessages.IterationLevelOrBuilder` | `getIterationLevelsOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `List<? extends JBPMMessages.IterationLevelOrBuilder>` | `getIterationLevelsOrBuilderList()` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `JBPMMessages.ProcessInstance.NodeInstance` | `getNodeInstance​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `JBPMMessages.ProcessInstance.NodeInstance.Builder` | `getNodeInstanceBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `List<JBPMMessages.ProcessInstance.NodeInstance.Builder>` | `getNodeInstanceBuilderList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `int` | `getNodeInstanceCount()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `List<JBPMMessages.ProcessInstance.NodeInstance>` | `getNodeInstanceList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder` | `getNodeInstanceOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder>` | `getNodeInstanceOrBuilderList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `long` | `getTimerInstanceId​(int index)` | `repeated int64 timer_instance_id = 2;`
    `int` | `getTimerInstanceIdCount()` | `repeated int64 timer_instance_id = 2;`
    `List<Long>` | `getTimerInstanceIdList()` | `repeated int64 timer_instance_id = 2;`
    `JBPMMessages.Variable` | `getVariable​(int index)` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `JBPMMessages.Variable.Builder` | `getVariableBuilder​(int index)` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `List<JBPMMessages.Variable.Builder>` | `getVariableBuilderList()` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `int` | `getVariableCount()` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `List<JBPMMessages.Variable>` | `getVariableList()` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `mergeFrom​(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode other)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `removeExclusiveGroup​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `removeIterationLevels​(int index)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `removeNodeInstance​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `removeVariable​(int index)` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setExclusiveGroup​(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setExclusiveGroup​(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)` | `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setIterationLevels​(int index, JBPMMessages.IterationLevel value)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setIterationLevels​(int index, JBPMMessages.IterationLevel.Builder builderForValue)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setNodeInstance​(int index, JBPMMessages.ProcessInstance.NodeInstance value)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setNodeInstance​(int index, JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setTimerInstanceId​(int index, long value)` | `repeated int64 timer_instance_id = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setVariable​(int index, JBPMMessages.Variable value)` | `repeated .org.jbpm.marshalling.Variable variable = 3;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setVariable​(int index, JBPMMessages.Variable.Builder builderForValue)` | `repeated .org.jbpm.marshalling.Variable variable = 3;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>`

    - #### clear

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>`

    - #### clone

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder mergeFrom​(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder mergeFrom​(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                                  throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>`
      Throws:
        `IOException`

    - #### getTimerInstanceIdList

          public List<Long> getTimerInstanceIdList()

      `repeated int64 timer_instance_id = 2;`
      Specified by:
        `getTimerInstanceIdList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### getTimerInstanceIdCount

          public int getTimerInstanceIdCount()

      `repeated int64 timer_instance_id = 2;`
      Specified by:
        `getTimerInstanceIdCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### getTimerInstanceId

          public long getTimerInstanceId​(int index)

      `repeated int64 timer_instance_id = 2;`
      Specified by:
        `getTimerInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### setTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setTimerInstanceId​(int index,
                                                                                                                  long value)

      `repeated int64 timer_instance_id = 2;`

    - #### addTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addTimerInstanceId​(long value)

      `repeated int64 timer_instance_id = 2;`

    - #### addAllTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addAllTimerInstanceId​(Iterable<? extends Long> values)

      `repeated int64 timer_instance_id = 2;`

    - #### clearTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder clearTimerInstanceId()

      `repeated int64 timer_instance_id = 2;`

    - #### getVariableList

          public List<JBPMMessages.Variable> getVariableList()

      `repeated .org.jbpm.marshalling.Variable variable = 3;`
      Specified by:
        `getVariableList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### getVariableCount

          public int getVariableCount()

      `repeated .org.jbpm.marshalling.Variable variable = 3;`
      Specified by:
        `getVariableCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### getVariable

          public JBPMMessages.Variable getVariable​(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 3;`
      Specified by:
        `getVariable` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### setVariable

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setVariable​(int index,
                                                                                                           JBPMMessages.Variable value)

      `repeated .org.jbpm.marshalling.Variable variable = 3;`

    - #### setVariable

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setVariable​(int index,
                                                                                                           JBPMMessages.Variable.Builder builderForValue)

      `repeated .org.jbpm.marshalling.Variable variable = 3;`

    - #### addVariable

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addVariable​(JBPMMessages.Variable value)

      `repeated .org.jbpm.marshalling.Variable variable = 3;`

    - #### addVariable

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addVariable​(int index,
                                                                                                           JBPMMessages.Variable value)

      `repeated .org.jbpm.marshalling.Variable variable = 3;`

    - #### addVariable

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addVariable​(JBPMMessages.Variable.Builder builderForValue)

      `repeated .org.jbpm.marshalling.Variable variable = 3;`

    - #### addVariable

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addVariable​(int index,
                                                                                                           JBPMMessages.Variable.Builder builderForValue)

      `repeated .org.jbpm.marshalling.Variable variable = 3;`

    - #### addAllVariable

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addAllVariable​(Iterable<? extends JBPMMessages.Variable> values)

      `repeated .org.jbpm.marshalling.Variable variable = 3;`

    - #### clearVariable

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder clearVariable()

      `repeated .org.jbpm.marshalling.Variable variable = 3;`

    - #### removeVariable

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder removeVariable​(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 3;`

    - #### getVariableBuilder

          public JBPMMessages.Variable.Builder getVariableBuilder​(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 3;`

    - #### getVariableOrBuilder

          public JBPMMessages.VariableOrBuilder getVariableOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 3;`
      Specified by:
        `getVariableOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### getVariableOrBuilderList

          public List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

      `repeated .org.jbpm.marshalling.Variable variable = 3;`
      Specified by:
        `getVariableOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### addVariableBuilder

          public JBPMMessages.Variable.Builder addVariableBuilder()

      `repeated .org.jbpm.marshalling.Variable variable = 3;`

    - #### addVariableBuilder

          public JBPMMessages.Variable.Builder addVariableBuilder​(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 3;`

    - #### getVariableBuilderList

          public List<JBPMMessages.Variable.Builder> getVariableBuilderList()

      `repeated .org.jbpm.marshalling.Variable variable = 3;`

    - #### getNodeInstanceList

          public List<JBPMMessages.ProcessInstance.NodeInstance> getNodeInstanceList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
      Specified by:
        `getNodeInstanceList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### getNodeInstanceCount

          public int getNodeInstanceCount()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
      Specified by:
        `getNodeInstanceCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### getNodeInstance

          public JBPMMessages.ProcessInstance.NodeInstance getNodeInstance​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
      Specified by:
        `getNodeInstance` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### setNodeInstance

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setNodeInstance​(int index,
                                                                                                               JBPMMessages.ProcessInstance.NodeInstance value)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

    - #### setNodeInstance

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setNodeInstance​(int index,
                                                                                                               JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

    - #### addNodeInstance

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addNodeInstance​(JBPMMessages.ProcessInstance.NodeInstance value)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

    - #### addNodeInstance

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addNodeInstance​(int index,
                                                                                                               JBPMMessages.ProcessInstance.NodeInstance value)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

    - #### addNodeInstance

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addNodeInstance​(JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

    - #### addNodeInstance

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addNodeInstance​(int index,
                                                                                                               JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

    - #### addAllNodeInstance

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addAllNodeInstance​(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstance> values)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

    - #### clearNodeInstance

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder clearNodeInstance()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

    - #### removeNodeInstance

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder removeNodeInstance​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

    - #### getNodeInstanceBuilder

          public JBPMMessages.ProcessInstance.NodeInstance.Builder getNodeInstanceBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

    - #### getNodeInstanceOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceOrBuilder getNodeInstanceOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
      Specified by:
        `getNodeInstanceOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### getNodeInstanceOrBuilderList

          public List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder> getNodeInstanceOrBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
      Specified by:
        `getNodeInstanceOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### addNodeInstanceBuilder

          public JBPMMessages.ProcessInstance.NodeInstance.Builder addNodeInstanceBuilder()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

    - #### addNodeInstanceBuilder

          public JBPMMessages.ProcessInstance.NodeInstance.Builder addNodeInstanceBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

    - #### getNodeInstanceBuilderList

          public List<JBPMMessages.ProcessInstance.NodeInstance.Builder> getNodeInstanceBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

    - #### getExclusiveGroupList

          public List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance> getExclusiveGroupList()

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
      Specified by:
        `getExclusiveGroupList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### getExclusiveGroupCount

          public int getExclusiveGroupCount()

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
      Specified by:
        `getExclusiveGroupCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### getExclusiveGroup

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance getExclusiveGroup​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
      Specified by:
        `getExclusiveGroup` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### setExclusiveGroup

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setExclusiveGroup​(int index,
                                                                                                                 JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

    - #### setExclusiveGroup

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setExclusiveGroup​(int index,
                                                                                                                 JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

    - #### addExclusiveGroup

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addExclusiveGroup​(JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

    - #### addExclusiveGroup

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addExclusiveGroup​(int index,
                                                                                                                 JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

    - #### addExclusiveGroup

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addExclusiveGroup​(JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

    - #### addExclusiveGroup

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addExclusiveGroup​(int index,
                                                                                                                 JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

    - #### addAllExclusiveGroup

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addAllExclusiveGroup​(Iterable<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstance> values)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

    - #### clearExclusiveGroup

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder clearExclusiveGroup()

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

    - #### removeExclusiveGroup

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder removeExclusiveGroup​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

    - #### getExclusiveGroupBuilder

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder getExclusiveGroupBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

    - #### getExclusiveGroupOrBuilder

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder getExclusiveGroupOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
      Specified by:
        `getExclusiveGroupOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### getExclusiveGroupOrBuilderList

          public List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder> getExclusiveGroupOrBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
      Specified by:
        `getExclusiveGroupOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### addExclusiveGroupBuilder

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder addExclusiveGroupBuilder()

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

    - #### addExclusiveGroupBuilder

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder addExclusiveGroupBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

    - #### getExclusiveGroupBuilderList

          public List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder> getExclusiveGroupBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

    - #### getIterationLevelsList

          public List<JBPMMessages.IterationLevel> getIterationLevelsList()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
      Specified by:
        `getIterationLevelsList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### getIterationLevelsCount

          public int getIterationLevelsCount()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
      Specified by:
        `getIterationLevelsCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### getIterationLevels

          public JBPMMessages.IterationLevel getIterationLevels​(int index)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
      Specified by:
        `getIterationLevels` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### setIterationLevels

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setIterationLevels​(int index,
                                                                                                                  JBPMMessages.IterationLevel value)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

    - #### setIterationLevels

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setIterationLevels​(int index,
                                                                                                                  JBPMMessages.IterationLevel.Builder builderForValue)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

    - #### addIterationLevels

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addIterationLevels​(JBPMMessages.IterationLevel value)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

    - #### addIterationLevels

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addIterationLevels​(int index,
                                                                                                                  JBPMMessages.IterationLevel value)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

    - #### addIterationLevels

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addIterationLevels​(JBPMMessages.IterationLevel.Builder builderForValue)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

    - #### addIterationLevels

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addIterationLevels​(int index,
                                                                                                                  JBPMMessages.IterationLevel.Builder builderForValue)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

    - #### addAllIterationLevels

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addAllIterationLevels​(Iterable<? extends JBPMMessages.IterationLevel> values)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

    - #### clearIterationLevels

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder clearIterationLevels()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

    - #### removeIterationLevels

          public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder removeIterationLevels​(int index)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

    - #### getIterationLevelsBuilder

          public JBPMMessages.IterationLevel.Builder getIterationLevelsBuilder​(int index)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

    - #### getIterationLevelsOrBuilder

          public JBPMMessages.IterationLevelOrBuilder getIterationLevelsOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
      Specified by:
        `getIterationLevelsOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### getIterationLevelsOrBuilderList

          public List<? extends JBPMMessages.IterationLevelOrBuilder> getIterationLevelsOrBuilderList()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
      Specified by:
        `getIterationLevelsOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

    - #### addIterationLevelsBuilder

          public JBPMMessages.IterationLevel.Builder addIterationLevelsBuilder()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

    - #### addIterationLevelsBuilder

          public JBPMMessages.IterationLevel.Builder addIterationLevelsBuilder​(int index)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

    - #### getIterationLevelsBuilderList

          public List<JBPMMessages.IterationLevel.Builder> getIterationLevelsBuilderList()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`